Cyberduck Mountain Duck CLI

#4181 closed enhancement (fixed)

HTTP transfers without SSL

Reported by: trent@… Owned by: dkocher
Priority: normal Milestone: 3.5
Component: s3 Version: 3.4.1
Severity: normal Keywords:
Cc: Architecture:
Platform: Mac OS X 10.6

Description

Hi

I have a question about s3 download speeds. My ISP, Rogers here in Canada, downgrade the service and speed of ANY encrypted traffic. To say this is a major pain in the butt is an understatement. I've been playing around with an s3 account and have noticed a HUGE speed improvement in downloads if you take off the "s" in https.…….. when initiating a download from a browser on a publicly accessible file. The difference is 5MB/s with it off and 500KB/s with it on!

My question is could there be a way to initiate a download (or upload) within Cyberduck to s3 without it being encrypted?

This would be most beneficial if possible. Let me know if anything like this is possible.

Thanks in advance, Trent Richmond

Change History (5)

comment:1 Changed on Feb 5, 2010 at 8:42:11 AM by yla

Currently there is only support for encrypted traffic (https://). I leave the ticket open but currently I cannot tell you if it's going to be implemented in a future release.

comment:2 Changed on Feb 6, 2010 at 7:02:56 PM by dkocher

  • Summary changed from s3 Download speeds to HTTP transfers without SSL

comment:3 Changed on Apr 1, 2010 at 5:21:10 PM by dkocher

  • Platform set to Mac OS X 10.6
  • Resolution set to wontfix
  • Status changed from new to closed

comment:4 Changed on Apr 24, 2010 at 1:50:28 PM by dkocher

  • Milestone set to 3.5
  • Resolution wontfix deleted
  • Status changed from closed to reopened

We will provide this to connect to custom S3 implementations in private networks.

comment:5 Changed on Apr 25, 2010 at 4:49:52 AM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

In r5916. Must be enabled by setting the property protocol.s3.enable to true.

defaults write ch.sudo.cyberduck protocol.s3.enable true
Note: See TracTickets for help on using tickets.
swiss made software